Bug 108980 - confusion between 'cd..' and 'cd ..'
confusion between 'cd..' and 'cd ..'
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rhl-gsg (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Ha
John Ha
http://www.redhat.com/docs/manuals/li...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-03 19:28 EST by Need Real Name
Modified: 2014-08-04 18:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-17 11:03:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-11-03 19:28:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5a)
Gecko/20030728 Mozilla Firebird/0.6.1

Description of problem:
The table of commands shows 'cd ..' and 'cd ..' as the commands used
in DOS and bash to go up one level in the directory structure. This is
correct and will work in both cases.
However, many DOS users are accustomed to using 'cd..' (with no spaces
between the 'cd' and the dots. This will not work in bash.
It isn't exactly a serious issue, and most users notice fairly
quickly, but it might still be appropriate to include a footnote
noting that 'cd..' != 'cd ..' .

regards,
atrazine


-atrazine@gmx.net-

Version-Release number of selected component (if applicable):
9

How reproducible:
Always

Steps to Reproduce:
1.NA, see description
2.
3.
    

Additional info:
Comment 1 Need Real Name 2003-11-03 19:30:05 EST
The applicable section is Appendix C
http://www.redhat.com/docs/manuals/linux/RHL-9-Manual/getting-started-guide/ch-doslinux.html
Comment 2 Michael Lee Yohe 2003-11-04 10:34:41 EST
I believe that it would be catering to a dying breed.  Although there
might be a few command line weenies still out there, they would be
quick to note that "cd.." does not work with bash (but it can with
other shells).

$ cd..
bash: cd..: command not found
$ cd ..
$
Comment 3 John Ha 2003-11-17 11:03:20 EST
Thank you for your report. Though DOS users new to Linux would be
accustomed to typing 'cd..', the bash prompt will notify a user right
away to the error in their syntax as noted by the second reporter
above. This error probably does not need to be documented unless there
are additional reports on this subject.

Thanks again for your feedback.

Note You need to log in before you can comment on or make changes to this bug.